Loading...
Searching...
No Matches
ISMRMRD::MetaValue Class Reference
Meta Attributes API

`#include <meta.h>`

## Public Member Functions

| MetaValue ()
| MetaValue (const char *s)
| Null terminated string constructor.
| MetaValue (long l)
| Long constructor.
| MetaValue (double d)
| Long constructor.
MetaValue & | operator= (const char *s)
| Assignment operator for string.
MetaValue & | operator= (long l)
| Assignment operator for long.
MetaValue & | operator= (double d)
| Assignment operator for double.
long | as_long () const
| Get the ingeter representation of the value.
double | as_double () const
| Get the floating point representation of the value.
const char * | as_str () const
| get the C string representation of the value

## Protected Member Functions

void | set (const char *s)
void | set (long l)
void | set (double d)

## Protected Attributes

long | l_
double | d_
std::string | s_

## Detailed Description

This class can represent a meta data value of any type and it guarantees that any value will have a representation as any type.

The class uses std::string internally to store the string representation of the value but this std::string is never exposed on the class interface and so it should not need to be exported in Windows. For now, this class can be header only.

## Constructor & Destructor Documentation

## MetaValue()

ISMRMRD::MetaValue::MetaValue | ( |  | ) |

inline

Default constructor

The documentation for this class was generated from the following file:

- meta.h